local mod = RW:Boss("Sulfuron Harbinger", "Classic" , "Molten Core")
local L

mod.BossIcon = [[Interface\Icons\achievement_boss_ragnaros]]

---------------------------
-- Variables

-- Inspire
local tInspireDur, wInspire

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger()
	self:SetWin()
	
	-- Inspire
	tInspireDur		= self:DurTimer(10, 19779)
	wInspire		= self:CastWarning(19779)
end

---------------------------
-- Locals

-- API Functions

function mod:OnEngage(trigger)
	self:Track("Inspire", 19779)
end

function mod:Inspire(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tInspireDur:Start()
		wInspire:Show()
	end
end
